package tokens

import (
	"time"

	"git.lehouerou.net/laurent/sorare/graphql"
)

type TokenPrimaryOffer struct {
	AppleProductId string `graphql:"appleProductId"`
	Buyer          struct {
		Slug string `graphql:"slug"`
	} `graphql:"buyer"`
	CancelledAt  time.Time       `graphql:"cancelledAt"`
	EndDate      time.Time       `graphql:"endDate"`
	HasTrade     bool            `graphql:"hasTrade"`
	Id           graphql.Id      `graphql:"id"`
	Nfts         []TokenOfferNft `graphql:"nfts"`
	Price        MonetaryAmount  `graphql:"price"`
	SettledAt    time.Time       `graphql:"settledAt"`
	SignedAmount string          `graphql:"signedAmount"`
	StartDate    time.Time       `graphql:"startDate"`
	Status       string          `graphql:"status"`
	UpdatedAt    time.Time       `graphql:"updatedAt"`
}
